#!/bin/sh

case $2 in
PRE-INSTALL)
	USER=www
	GROUP=${USER}
	UID=80
	GID=${UID}

	if ! pw groupshow "${GROUP}" 2>/dev/null 1>&2; then
		if pw groupadd ${GROUP} -g ${GID}; then
			echo "Added group \"${GROUP}\"."
		else
			echo "Adding group \"${GROUP}\" failed..."
			exit 1
		fi
	fi

	if ! pw usershow "${USER}" 2>/dev/null 1>&2; then
		if pw useradd ${USER} -u ${UID} -g ${GROUP} -h - \
			-s "/sbin/nologin" -d "/nonexistent" \
			-c "World Wide Web Owner"; \
		then
			echo "Added user \"${USER}\"."
		else
			echo "Adding user \"${USER}\" failed..."
			exit 1
		fi
	fi

	install -d -o www -g www -m 0755 /var/spool/squirrelmail

	exit 0
	;;
POST-INSTALL)
	;;
esac
